<?php

namespace Modules\Product\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasOne;

class ProductAddition extends Model
{
    public $timestamps = false;

    protected $fillable =
        [
            'product_id','cost'
        ];


    public function descriptions($language_id= null)
    {
        if ($language_id) {
            $data = $this->hasMany(ProductAdditionDescription::class)->where('language_id', $language_id)->first();
            if(!$data){
                $data = $this->hasMany(ProductAdditionDescription::class)->first();
            }
            return $data;
        }
        $data = $this->hasMany(ProductAdditionDescription::class)->where('language_id', currentLanguage()['id'])->first();
        return $data;
    }


    public function currentDescription(): HasOne
    {
        return $this->hasOne(ProductAdditionDescription::class)->where('language_id', currentLanguage()->id);
    }
}
